Epsom ET-2711 help

ZaccyL150

New Member
Credits
183
HI,

I'm trying to print to Epsom ET-2711 but all I get is an error There was an error during the CUPS operation client error document format not supported .

I'm using Linux Cinnamon. I'm selecting all options that say (recommended) through the set up process.

Can anyone provide the correct driver or anything else I might need?

Thanks in advance for any help.
 


sp331yi

Well-Known Member
Credits
4,614
It's not here -- And you did mean EPSON, didn't you?
 

arochester

Moderator
Staff member
Gold Supporter
Credits
1,801
What do you mean
I'm using Linux Cinnamon.
Cinnamon is a Desktop Environment used by many distros - types or versions of Linux.

What distro are you using?
 

ZaccyL150

New Member
Credits
183
OK I installed the Mint 19 64bit and when I try and print I get the following error:

Could not start printer
Please check your printer configuration.
 

f33dm3bits

Gold Member
Gold Supporter
Credits
3,487
I thought it was a scanner since of the name of the driver. I think you may need a different driver then. This howto should help you out. But in short:
1. Search ET-2711 here and make sure you select OS Linux (I think ET-2710 should do)
2. Download the driver: ESC/P-R Driver (generic driver): epson-inkjet-printer-escpr_1.7.7-1lsb3.2_amd64.deb
3. Read the instructions below where you download the driver, but you need to install the lsb package.
4. Install the driver.
5. Go to printers or devices
6. Add printer: Search printer database for your device or install the PPD file(/opt/epson-inkjet-printer-escpr/ppds/Epson/Epson-ET-2710_Series-epson-inkjet-printer-escpr.ppd.gz)
7. Download epson printer utility from the same page you got the driver from : Epson Printer Utility(epson-printer-utility_1.1.1-1lsb3.2_amd64.deb)
8. Install it and the rest should be self explanatory by either using printer utility or something like that.
 
Last edited:

ZaccyL150

New Member
Credits
183
Which one do I download?

epson-inkjet-printer-escpr-1.7.7-1lsb3.2.i486.rpm​
3.92 MB
epson-inkjet-printer-escpr_1.7.7-1lsb3.2_i386.deb​
4.41 MB
epson-inkjet-printer-escpr-1.7.7-1lsb3.2.x86_64.rpm​
3.92 MB
epson-inkjet-printer-escpr_1.7.7-1lsb3.2_amd64.deb​
4.41 MB
epson-inkjet-printer-escpr-1.7.7-1lsb3.2.src.rpm​
4.2 MB
epson-inkjet-printer-escpr-1.7.7-1lsb3.2.tar.gz​
4.55 MB
 

ZaccyL150

New Member
Credits
183
How do I install the epson-printer-utility_1.1.1-1lsb3.2_amd64.deb ?

When I extract it I have two packages, control and data.

What do I do with them?
 

f33dm3bits

Gold Member
Gold Supporter
Credits
3,487
You do not need to extract the deb file. You can either right click on it and then install or you can use the commandline.
 

ZaccyL150

New Member
Credits
183
Where do I find the PPD file(/opt/epson-inkjet-printer-escpr/ppds/Epson/Epson-ET-2710_Series-epson-inkjet-printer-escpr.ppd.gz)

?
 

f33dm3bits

Gold Member
Gold Supporter
Credits
3,487
The PPD file was incase you couldn't find your printer in the printer database. I setup a test system to try it myself and found your printer there so you don't need the PPD method. These are the steps I took, since I don't have a printer I can't test it, but hope it works for you.

In printer Menu(Administration --> Printers)
1. Add: Click on Add
2. Select: Epson Inkjet Printer
3. Next: Click Next
4. Wait: It will display a message searching for drivers
5. Radio Button: Select Printer from database will be selected
6. Scroll and find: In the list of printer brands scroll down and find EPSON
7. Select Epson and click Forward
8. Find the model: Search for Model: ET-2710 and select it.
9. Forward: Click Forward
10. Click Apply

You should now be able to print and then select the printer to print.
If you want to open the epson printer utility: Preferences --> Color
Printer settings: Go to the Printers via your menu as explained before:
1. Select Printer
2. Right click on printer and select properties (Then you can changes printer settings to your likes there)
 
Last edited:

f33dm3bits

Gold Member
Gold Supporter
Credits
3,487
In step 8 my model is not in the list.

There is no ET- models at all.
I'm running the same LinuxMint version as you, so you must be missing a package.

Did you install both of these packages?
epson-inkjet-printer-escpr_1.7.7-1lsb3.2_amd64.deb epson-printer-utility_1.1.1-1lsb3.2_amd64.deb
 


Members online


Latest posts

Top